Foreman - Feature #36885

Add Clevis/Tang disk encryption template
11/02/2023 08:13 AM - Jan Loeser

Status: Closed
Priority: Normal
Assignee:
Category:
Target version:
Difficulty: Fixed in Releases: 3.11.0
Triaged: No Found in Releases:
Bugzilla link: Red Hat JIRA:
Pull request: https://github.com/theforeman/foreman/p
ull/9887
Description

For disk encryption Clevis/Tang is often used. This commit introduces a Kickstart partition template taking care of disk encryption and
a snippet responsible for binding the LUKS device via Clevis to a given Tang server.

The default partition template encrypts the disk with a passphrase which can be provided via "disk_enc_passphrase™ host parameter.

If no host parameter is provided, the default passphrase is 'linux'.

If, in addition, "disk_enc_tang_servers™ host parameter is provided (can be one address as string or multiple addresses as array), the
LUKS device will be bind to these Tang servers using Clevis. In this case, the passphrase will be removed.

This commit targets mainly all operating systems of the Red Hat family, however the snippet can also be used for Ubuntu operating

system.

Associated revisions

Revision 98d3bf5b - 04/15/2024 12:09 PM - Jan Loeser
Fixes #36885 - Add Clevis/Tang disk encryption template

For disk encryption Clevis/Tang is often used. This commit introduces
partition templates for Kickstart and Autoinstall taking care of disk
encryption and a snippet responsible for binding the LUKS device via
Clevis to a given Tang server.

The default partition template encrypts the disk with a passphrase which
can be provided via “disk_enc_passphrase’ host parameter. If no host
parameter is provided, the default passphrase is 'linux'.

If, in addition, "disk_enc_tang_servers™ host parameter is provided

(can be one address as string or multiple addresses as array), the LUKS
device will be bind to these Tang servers using Clevis. In this case,

the passphrase will be removed.

This commit targets the Red Hat family and Ubuntu operating system.

History

#1 - 11/02/2023 08:29 AM - The Foreman Bot
- Status changed from New to Ready For Testing

#2 - 04/15/2024 12:09 PM - The Foreman Bot
- Fixed in Releases 3.11.0 added

#3 - 04/15/2024 01:00 PM - Jan Loeser
- Status changed from Ready For Testing to Closed

Applied in changeset foreman|98d3bf5be6d4aaba36a889645211fb8897ccib4c.
